/**
 * \file gre/legendparms.h
 * \brief GRE LEGENDPARMS definitions
 *
 * \if NODOC
 * $Id: legendparms.h_v 1.1 2006/09/28 13:14:51 mju Exp $
 *
 * $Log: legendparms.h_v $
 * Revision 1.1  2006/09/28 13:14:51  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_GRE_LEGENDPARMS_H
#define	INC_GRE_LEGENDPARMS_H

#ifndef	INC_RVC_OBJECTNAME_H
	#include <rvc/objectname.h>
#endif

#ifndef	INC_MI32_MG2ENUMS_H
	#include <mi32/mg2enums.h>
#endif

namespace GRE {

//! Parameters for LegendView associated with element
struct LEGENDPARMS {
	public:

		RVC::OBJECTNAME TableName;					//!< Table for legend labels
		RVC::OBJECTNAME FieldName;					//!< Field for legend labels
		MGD::STYLESAMPLEFLAGS SampleFlags;				//!< Flags for legend element drawing

		LEGENDPARMS (									//! Default constructor
			): SampleFlags(MGD::STYLESAMPLE_Default) { }
		// No allocated members so can use compiler generated dtor, copy ctor, assignment
	};

}	// End namespace GRE

#endif	// INC_GRE_LEGENDPARMS_H
