/**
 * \file gre/msgviewexpose.h
 * \brief GRE::MSG_VIEWEXPOSE definition
 *
 * \if NODOC
 * $Id: msgviewexpose.h_v 1.2 2013/02/15 20:51:44 mju Exp $
 *
 * $Log: msgviewexpose.h_v $
 * Revision 1.2  2013/02/15 20:51:44  mju
 * Fix dox hdr.
 *
 * Revision 1.1  2006/09/21 21:31:17  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_GRE_MSGVIEWEXPOSE_H
#define	INC_GRE_MSGVIEWEXPOSE_H

#ifndef	INC_GRE_MSG_H
	#include <gre/msg.h>
#endif

#ifndef	INC_MI32_RECT_H
	#include <mi32/rect.h>
#endif

namespace GRE {
//===================================================================================================================

class MSG_VIEWEXPOSE : public MSG {
	public:

		//! Constructor.
		MSG_VIEWEXPOSE (
			GRE::VIEW *view,
			const LRECT2D& rect,
			ACTION action = ACTION_Expose
			);

		//! Get rectangle for exposed area.
		const LRECT2D& GetRect (
			) const { return (m_rect); }

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		LRECT2D m_rect;
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================
}	// End namespace GRE

#endif	// INC_GRE_MSGVIEWEXPOSE_H

