/**
 * \file spatmod/imagetargetmgdmemory.h
 * \brief Spatial Modelling (SPATMOD) IMAGE::TARGET_MGD_MEMORY definitions.
 *
 * \if NODOC
 * $Id: imagetargetmgdmemory.h_v 1.1 2006/10/12 20:06:19 mju Exp $
 *
 * $Log: imagetargetmgdmemory.h_v $
 * Revision 1.1  2006/10/12 20:06:19  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_SPATMOD_IMAGETARGETMGDMEMORY_H
#define	INC_SPATMOD_IMAGETARGETMGDMEMORY_H

#ifndef	INC_SPATMOD_IMAGETARGETMGD_H
	#include <spatmod/imagetargetmgd.h>
#endif

namespace SPATMOD {
namespace IMAGE {

//=====================================================================================================================

//! MGD_MEMORY image target.
//! Supports DATATYPE of UINT8 only.
//! Supports PIXEL::TYPE of Single, Grayscale, RGB, RGBA only.
class TARGET_MGD_MEMORY : public TARGET_MGD {
	public:

		//! Construct with specified input stage.
		//! Target does not take ownership of input stage.
		TARGET_MGD_MEMORY (
			STAGE *pInputStage							//!< Stage in pipeline to obtain image data from
			);

		//! Destructor.
		virtual ~TARGET_MGD_MEMORY ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		// TARGET overrides.
		virtual ERRVALUE v_Initialize ();

		// Unimplemented
		TARGET_MGD_MEMORY (const TARGET_MGD_MEMORY&);
		TARGET_MGD_MEMORY& operator= (const TARGET_MGD_MEMORY&);
		#endif // GENERATING_DOXYGEN_OUTPUT

	};

//=====================================================================================================================

}	// End namespace IMAGE
}	// End namespace SPATMOD


#endif	// INC_SPATMOD_IMAGETARGETMGDMEMORY_H
